Bug 251190 - Review Request: gds2pov - GDS2 layout file to POV-Ray conversion
Review Request: gds2pov - GDS2 layout file to POV-Ray conversion
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-Yves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 13:41 EDT by Chitlesh GOORAH
Modified: 2010-07-19 00:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 18:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingoufc4: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-08-07 13:41:55 EDT
Spec URL: http://chitlesh.fedorapeople.org/gds2pov/gds2pov.spec
SRPM URL: http://chitlesh.fedorapeople.org/gds2pov/gds2pov-0.20070426-1.fc8.src.rpm
Build.log: http://chitlesh.fedorapeople.org/gds2pov/build.log

Description:
GDS2POV is a program to take a GDS2 layout file
and output a POV-Ray scene description file of
the GDS2 data. This allows the creation of
attractive 3D pictures of a layout.

GDS2POV is mostly used by VLSI designers.
Comment 1 Chitlesh GOORAH 2007-08-07 14:10:33 EDT
Example from the %doc:
gdsoglviewer -p example_process.txt -i example.gds P+ -c example_config.txt

One will get:
http://chitlesh.fedorapeople.org/gds2pov/example.png
Comment 2 Chitlesh GOORAH 2007-08-07 16:08:17 EDT
for those having difficulties in connecting to 
http://chitlesh.fedorapeople.org/gds2pov/
here is a mirror: 
http://tux.u-strasbg.fr/~chit/gds2pov/
Comment 3 Pierre-Yves 2007-08-08 13:40:17 EDT
MUST Items:

- MUST: rpmlint's output is clean except a warning about the absence of doc for
the devel package
I will not block approval for this

- MUST: The package is named according to the Package Naming Guidelines.
ok
- MUST: The spec file name matches the base package %{name}
ok
- MUST: The package meets the Packaging Guidelines.
ok
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
ok
* MUST: The License field in the package spec file matches the actual license.
I have found only GPLv2 not GPLv2+ 
http://fedoraproject.org/wiki/Licensing

- MUST: the source package includes the text of the license(s) in its own 
file, then that file, containing the text of the license(s) for the package is
included in %doc.
ok
- MUST: The spec file must be written in American English.
ok
- MUST: The spec file for the package is be legible. 
ok
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
ok
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
ok in FC6 i386
- MUST: All build dependencies is listed in BuildRequires.
ok
- MUST: The spec file handles locales properly.
ok
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
ok
- MUST: the package is not designed to be relocatable
ok
- MUST: the package owns all directories that it creates.
ok
- MUST: the package does not contain any duplicate files in the %files 
listing.
ok
- MUST: Permissions on files are set properly.
ok
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or $RPM_BUILD_ROOT).
ok
- MUST: The package consistently uses macros, as described in the macros 
section of Packaging Guidelines.
ok
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
ok
- MUST: There are no Large documentation files
ok
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
ok
- MUST: There are no Header files or static libraries 
ok
- MUST: The package does not contain library files with a suffix 
ok
- MUST: Package does NOT contain any .la libtool archives
ok
- MUST: Package containing GUI applications includes a %{name}.desktop file, 
and that file must be properly installed with desktop-file-install in 
the %install section.
ok
- MUST: Package does not own files or directories already owned by other 
packages. 
ok


SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
ok
 - SHOULD: mock builds succcessfully in i386.
ok
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
ok
 - SHOULD: No subpackages present.
ok
Comment 5 Pierre-Yves 2007-08-08 14:11:22 EDT
Everything fixed

APPROVED
Comment 6 Chitlesh GOORAH 2007-08-08 14:18:21 EDT
New Package CVS Request
=======================
Package Name: gds2pov
Short Description: GDS2 layout file to POV-Ray conversion
Owners: cgoorah@yahoo.com.au
Branches: FC-6 F-7
InitialCC:
Comment 7 Kevin Fenzi 2007-08-08 17:16:54 EDT
cvs done.
Comment 8 Chitlesh GOORAH 2010-07-18 06:36:51 EDT
Package Change Request
=======================
Package Name: gds2pov
Short Description: GDS2 layout file to POV-Ray conversion
Owners: chitlesh
Branches: EL-5 EL-6
Comment 9 Kevin Fenzi 2010-07-19 00:29:38 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.